img {
  width: 100%;
  height: auto;
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  color: var(--white-color);
}

input,
button {
  border: none;
  outline: none;
}

.login {
  position: relative;
  height: 100vh;
  display: grid;
  align-items: center;
}

.login__img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.login__form {
  position: relative;
  background-color: hsla(0, 0%, 10%, 0.1);
  border: 2px solid var(--staple);
  margin-inline: 1.5rem;
  padding: 2.5rem 1.5rem;
  border-radius: 1rem;
  backdrop-filter: blur(8px);
  font-family: 'Kanit', sans-serif;
  font-weight: 300;
}

.login__title {
  text-align: center;
  font: 1em;
  font-weight: 1000;
  color: var(--primary);
  font-family: 'Kanit', sans-serif;
  margin-bottom: 2rem;
}

.login__content,
.login__box {
  display: grid;
}

.login__content {
  row-gap: 1.75rem;
}

.login__box {
  display: flex;
  align-items: center;
  grid-template-columns: max-content 1fr;
  align-items: center;
  column-gap: 0.75rem;
  border-bottom: 2px solid var(--primary);
}

.login__icon,
.login__eye {
  font-size: 1.25rem;

}

.login__input {
  width: 100%;
  padding-block: 0.8rem;
  background: none;
  color: var(--primary);
  position: relative;
  z-index: 1;
}

.login__box-input {
  position: relative;
}

.login__label {
  position: absolute;
  left: 0;
  top: 13px;
  color: var(--primary);
  /* font-weight: var(--font-medium); */
  transition: top 0.3s, font-size 0.3s;
}

.login__eye {
  position: absolute;
  right: 0;
  top: 18px;
  z-index: 10;
  cursor: pointer;
}

.login__box:nth-child(2) input {
  padding-right: 1.8rem;
}

.login__check,
.login__check-group {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.login__check {
  margin-bottom: 1rem;
  margin-top: 1rem;
}

.login__check-label,
.login__forgot,
.login__register {
  color: var(--primary);
}

.login__check-group {
  column-gap: 0.5rem;
}

.login__check-input {
  width: 16px;
  height: 16px;
}

.login__forgot {
  color: var(--staple);
}

.login__forgot:hover {
  text-decoration: underline;
}

.login__button {
  width: 100%;
  padding: 1rem;
  border-radius: 0.5rem;
  background-color: var(--primary);
  /* font-weight: var(--font-medium); */
  cursor: pointer;
  margin-bottom: 1rem;
}

.login__register {
  text-align: start;
  color: var(--primary);
}

.login__register a {
  color: var(--primary);
  float: right;
}

.login__register a:hover {
  text-decoration: underline;
}

/* Input focus move up label */
.login__input:focus+.login__label {
  top: -12px;
  font-size: var(--small-font-size);
}

/* Input focus sticky top label */
.login__input:not(:placeholder-shown).login__input:not(:focus)+.login__label {
  top: -12px;
  font-size: var(--small-font-size);
}

.fa-solid {
  color: var(--primary);
}

/*=============== BREAKPOINTS ===============*/
/* For medium devices */
@media screen and (min-width: 576px) {
  .login {
    justify-content: center;
  }

  .login__form {
    width: 432px;
    padding: 4rem 3rem 3.5rem;
    border-radius: 1.5rem;
  }

  .login__title {
    font-size: 2rem;
  }
}